module ActivityPub
  class Dict
    ACTOR_TYPES = {
      application: 'application',
      group: 'group',
      organization: 'organization',
      person: 'person',
      service: 'service'
    }.freeze

    OBJECT_TYPES = {
      relationship: 'relationship',
      article: 'article',
      document: 'document',
      audio: 'audio',
      image: 'image',
      video: 'video',
      note: 'note',
      page: 'page',
      event: 'event',
      place: 'place',
      profile: 'profile',
      tombstone: 'tombstone',
    }.freeze

    LINK_TYPES = {
      mention: 'mention',
    }.freeze
  end
end
